Subject: bug#33294: xwidget-insert crashes Emacs

From: Robert Pluim <[email-masked]>
Date: Fri, 09 Nov 2018 14:46:35 +0100

Stefan Monnier <[email-masked]> writes:

>>> > I admit I don't understand why PVEC_XWIDGET and PVEC_XWIDGET_VIEW are
>>> > in the "impossible" cases.  They are first-class Lisp objects, AFAICT.
>>> If you say so, then they most likely are, indeed.  I personally didn't
>>> (and still don't) know enough about those to know what to do with them.
>> Can you tell what are the guidelines for putting a PVEC object into
>> the "impossible" category in the context of type-of?
>
> The "impossible" category is for when such objects can never be passed
> to `type-of`, typically because they are not available to Elisp.
>
> But there's no harm/risk to "allow" a particular kind of object even if
> it's actually impossible for it to be passed to type-of.
>
> Accordingly, I just installed the patch below into emacs-26.
>
> +  DEFSYM (Qxwidget, "xwidget");

That DEFSYM is already in syms_of_xwidget.

What do you think about PVEC_SUB_CHAR_TABLE ?

Robert